package com.ruoyi.branch.mapper;

import java.util.List;
import com.ruoyi.branch.domain.TBranchAssess;

/**
 * 纪律考评Mapper接口
 * 
 * @author ruoyi
 * @date 2023-07-31
 */
public interface TBranchAssessMapper 
{
    /**
     * 查询纪律考评
     * 
     * @param assessId 纪律考评主键
     * @return 纪律考评
     */
    public TBranchAssess selectTBranchAssessByAssessId(Long assessId);

    /**
     * 查询纪律考评列表
     * 
     * @param tBranchAssess 纪律考评
     * @return 纪律考评集合
     */
    public List<TBranchAssess> selectTBranchAssessList(TBranchAssess tBranchAssess);

    /**
     * 新增纪律考评
     * 
     * @param tBranchAssess 纪律考评
     * @return 结果
     */
    public int insertTBranchAssess(TBranchAssess tBranchAssess);

    /**
     * 修改纪律考评
     * 
     * @param tBranchAssess 纪律考评
     * @return 结果
     */
    public int updateTBranchAssess(TBranchAssess tBranchAssess);

    /**
     * 删除纪律考评
     * 
     * @param assessId 纪律考评主键
     * @return 结果
     */
    public int deleteTBranchAssessByAssessId(Long assessId);

    /**
     * 批量删除纪律考评
     * 
     * @param assessIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTBranchAssessByAssessIds(Long[] assessIds);
}
